package com.zhaoliangsz.grainsearch.controller;


import org.springframework.web.bind.annotation.RequestMapping;
import lombok.extern.slf4j.Slf4j;
import javax.annotation.Resource;
import com.zhaoliangsz.grainsearch.service.IFilFileService;
import org.springframework.web.bind.annotation.*;
import com.zhaoliangsz.grainsearch.basic.exception.ServiceException;
import com.zhaoliangsz.grainsearch.basic.result.PageResult;
import com.zhaoliangsz.grainsearch.domain.entity.FilFile;
import org.springframework.web.bind.annotation.RestController;

/**
 * <p>
 * 文件信息 前端控制器
 * </p>
 *
 * @author chengchangjiang
 * @since 2023-08-22 11:09:57
 */
@RestController
@Slf4j
@RequestMapping("/v1/filFile")
public class FilFileController {
    @Resource
    private IFilFileService myIFilFileService;
    /**
     * 获取FilFile
     * @return
     */
    @GetMapping
    public PageResult<FilFile> queryFilFileList(FilFile queryFilFile) throws ServiceException {
        log.info("[FilFileController.queryFilFileList]获取FilFile列表开始参数:{}",queryFilFile);
        PageResult<FilFile> page = myIFilFileService.queryFilFileList(queryFilFile);
        log.info("[FilFileController.queryFilFileList]获取FilFile列表结束结果:{}",page);
        return page;
    }
    /**
     * 新增FilFile
     * @return
     */
    @PostMapping
    public String addFilFile(@RequestBody FilFile addFilFile) throws ServiceException {
        log.info("[FilFileController.addFilFile]新增FilFile开始addFilFile:{}",addFilFile);
        String result = myIFilFileService.addFilFile(addFilFile);
        log.info("[FilFileController.addFilFile]新增FilFile结束结果:{}",result);
        return result;
    }
    /**
     * 编辑FilFile
     * @return
     */
    @PutMapping
    public String editFilFile(@RequestBody FilFile editFilFile) throws ServiceException {
        log.info("[FilFileController.editFilFile]编辑FilFile开始参数:{}",editFilFile);
        String result = myIFilFileService.editFilFile(editFilFile);
        log.info("[FilFileController.editFilFile]编辑FilFile结束结果:{}",result);
        return result;
    }
    /**
     * 删除FilFile
     * @return
     */
    @DeleteMapping
    public String deleteFilFile(@RequestBody FilFile deleteFilFile) throws ServiceException {
        log.info("[FilFileController.deleteFilFile]删除FilFile开始参数:{}",deleteFilFile);
        String result = myIFilFileService.deleteFilFile(deleteFilFile);
        log.info("[FilFileController.deleteFilFile]删除FilFile结束结果:{}",result);
        return result;
    }
}

