package com.zhaoliangsz.grainsearch.controller;


import org.springframework.web.bind.annotation.RequestMapping;
import lombok.extern.slf4j.Slf4j;
import javax.annotation.Resource;
import com.zhaoliangsz.grainsearch.service.IGrainRightBoardService;
import org.springframework.web.bind.annotation.*;
import com.zhaoliangsz.grainsearch.basic.exception.ServiceException;
import com.zhaoliangsz.grainsearch.basic.result.PageResult;
import com.zhaoliangsz.grainsearch.domain.entity.GrainRightBoard;
import org.springframework.web.bind.annotation.RestController;

/**
 * <p>
 * 粮权牌 前端控制器
 * </p>
 *
 * @author chengchangjiang
 * @since 2023-08-22 11:09:57
 */
@RestController
@Slf4j
@RequestMapping("/v1/grainRightBoard")
public class GrainRightBoardController {
    @Resource
    private IGrainRightBoardService myIGrainRightBoardService;
    /**
     * 获取GrainRightBoard
     * @return
     */
    @GetMapping
    public PageResult<GrainRightBoard> queryGrainRightBoardList(GrainRightBoard queryGrainRightBoard) throws ServiceException {
        log.info("[GrainRightBoardController.queryGrainRightBoardList]获取GrainRightBoard列表开始参数:{}",queryGrainRightBoard);
        PageResult<GrainRightBoard> page = myIGrainRightBoardService.queryGrainRightBoardList(queryGrainRightBoard);
        log.info("[GrainRightBoardController.queryGrainRightBoardList]获取GrainRightBoard列表结束结果:{}",page);
        return page;
    }
    /**
     * 新增GrainRightBoard
     * @return
     */
    @PostMapping
    public String addGrainRightBoard(@RequestBody GrainRightBoard addGrainRightBoard) throws ServiceException {
        log.info("[GrainRightBoardController.addGrainRightBoard]新增GrainRightBoard开始addGrainRightBoard:{}",addGrainRightBoard);
        String result = myIGrainRightBoardService.addGrainRightBoard(addGrainRightBoard);
        log.info("[GrainRightBoardController.addGrainRightBoard]新增GrainRightBoard结束结果:{}",result);
        return result;
    }
    /**
     * 编辑GrainRightBoard
     * @return
     */
    @PutMapping
    public String editGrainRightBoard(@RequestBody GrainRightBoard editGrainRightBoard) throws ServiceException {
        log.info("[GrainRightBoardController.editGrainRightBoard]编辑GrainRightBoard开始参数:{}",editGrainRightBoard);
        String result = myIGrainRightBoardService.editGrainRightBoard(editGrainRightBoard);
        log.info("[GrainRightBoardController.editGrainRightBoard]编辑GrainRightBoard结束结果:{}",result);
        return result;
    }
    /**
     * 删除GrainRightBoard
     * @return
     */
    @DeleteMapping
    public String deleteGrainRightBoard(@RequestBody GrainRightBoard deleteGrainRightBoard) throws ServiceException {
        log.info("[GrainRightBoardController.deleteGrainRightBoard]删除GrainRightBoard开始参数:{}",deleteGrainRightBoard);
        String result = myIGrainRightBoardService.deleteGrainRightBoard(deleteGrainRightBoard);
        log.info("[GrainRightBoardController.deleteGrainRightBoard]删除GrainRightBoard结束结果:{}",result);
        return result;
    }
}

