package com.zhaoliangsz.grainsearch.controller;


import org.springframework.web.bind.annotation.RequestMapping;
import lombok.extern.slf4j.Slf4j;
import javax.annotation.Resource;
import com.zhaoliangsz.grainsearch.service.IGrainRightService;
import org.springframework.web.bind.annotation.*;
import com.zhaoliangsz.grainsearch.basic.exception.ServiceException;
import com.zhaoliangsz.grainsearch.basic.result.PageResult;
import com.zhaoliangsz.grainsearch.domain.entity.GrainRight;
import org.springframework.web.bind.annotation.RestController;

/**
 * <p>
 * 粮权 前端控制器
 * </p>
 *
 * @author chengchangjiang
 * @since 2023-08-22 11:09:57
 */
@RestController
@Slf4j
@RequestMapping("/v1/grainRight")
public class GrainRightController {
    @Resource
    private IGrainRightService myIGrainRightService;
    /**
     * 获取GrainRight
     * @return
     */
    @GetMapping
    public PageResult<GrainRight> queryGrainRightList(GrainRight queryGrainRight) throws ServiceException {
        log.info("[GrainRightController.queryGrainRightList]获取GrainRight列表开始参数:{}",queryGrainRight);
        PageResult<GrainRight> page = myIGrainRightService.queryGrainRightList(queryGrainRight);
        log.info("[GrainRightController.queryGrainRightList]获取GrainRight列表结束结果:{}",page);
        return page;
    }
    /**
     * 新增GrainRight
     * @return
     */
    @PostMapping
    public String addGrainRight(@RequestBody GrainRight addGrainRight) throws ServiceException {
        log.info("[GrainRightController.addGrainRight]新增GrainRight开始addGrainRight:{}",addGrainRight);
        String result = myIGrainRightService.addGrainRight(addGrainRight);
        log.info("[GrainRightController.addGrainRight]新增GrainRight结束结果:{}",result);
        return result;
    }
    /**
     * 编辑GrainRight
     * @return
     */
    @PutMapping
    public String editGrainRight(@RequestBody GrainRight editGrainRight) throws ServiceException {
        log.info("[GrainRightController.editGrainRight]编辑GrainRight开始参数:{}",editGrainRight);
        String result = myIGrainRightService.editGrainRight(editGrainRight);
        log.info("[GrainRightController.editGrainRight]编辑GrainRight结束结果:{}",result);
        return result;
    }
    /**
     * 删除GrainRight
     * @return
     */
    @DeleteMapping
    public String deleteGrainRight(@RequestBody GrainRight deleteGrainRight) throws ServiceException {
        log.info("[GrainRightController.deleteGrainRight]删除GrainRight开始参数:{}",deleteGrainRight);
        String result = myIGrainRightService.deleteGrainRight(deleteGrainRight);
        log.info("[GrainRightController.deleteGrainRight]删除GrainRight结束结果:{}",result);
        return result;
    }
}

