package com.zhaoliangsz.grainsearch.controller;


import org.springframework.web.bind.annotation.RequestMapping;
import lombok.extern.slf4j.Slf4j;
import javax.annotation.Resource;
import com.zhaoliangsz.grainsearch.service.IGrainRightHistoryService;
import org.springframework.web.bind.annotation.*;
import com.zhaoliangsz.grainsearch.basic.exception.ServiceException;
import com.zhaoliangsz.grainsearch.basic.result.PageResult;
import com.zhaoliangsz.grainsearch.domain.entity.GrainRightHistory;
import org.springframework.web.bind.annotation.RestController;

/**
 * <p>
 * 粮权历史 前端控制器
 * </p>
 *
 * @author chengchangjiang
 * @since 2023-08-22 11:09:57
 */
@RestController
@Slf4j
@RequestMapping("/v1/grainRightHistory")
public class GrainRightHistoryController {
    @Resource
    private IGrainRightHistoryService myIGrainRightHistoryService;
    /**
     * 获取GrainRightHistory
     * @return
     */
    @GetMapping
    public PageResult<GrainRightHistory> queryGrainRightHistoryList(GrainRightHistory queryGrainRightHistory) throws ServiceException {
        log.info("[GrainRightHistoryController.queryGrainRightHistoryList]获取GrainRightHistory列表开始参数:{}",queryGrainRightHistory);
        PageResult<GrainRightHistory> page = myIGrainRightHistoryService.queryGrainRightHistoryList(queryGrainRightHistory);
        log.info("[GrainRightHistoryController.queryGrainRightHistoryList]获取GrainRightHistory列表结束结果:{}",page);
        return page;
    }
    /**
     * 新增GrainRightHistory
     * @return
     */
    @PostMapping
    public String addGrainRightHistory(@RequestBody GrainRightHistory addGrainRightHistory) throws ServiceException {
        log.info("[GrainRightHistoryController.addGrainRightHistory]新增GrainRightHistory开始addGrainRightHistory:{}",addGrainRightHistory);
        String result = myIGrainRightHistoryService.addGrainRightHistory(addGrainRightHistory);
        log.info("[GrainRightHistoryController.addGrainRightHistory]新增GrainRightHistory结束结果:{}",result);
        return result;
    }
    /**
     * 编辑GrainRightHistory
     * @return
     */
    @PutMapping
    public String editGrainRightHistory(@RequestBody GrainRightHistory editGrainRightHistory) throws ServiceException {
        log.info("[GrainRightHistoryController.editGrainRightHistory]编辑GrainRightHistory开始参数:{}",editGrainRightHistory);
        String result = myIGrainRightHistoryService.editGrainRightHistory(editGrainRightHistory);
        log.info("[GrainRightHistoryController.editGrainRightHistory]编辑GrainRightHistory结束结果:{}",result);
        return result;
    }
    /**
     * 删除GrainRightHistory
     * @return
     */
    @DeleteMapping
    public String deleteGrainRightHistory(@RequestBody GrainRightHistory deleteGrainRightHistory) throws ServiceException {
        log.info("[GrainRightHistoryController.deleteGrainRightHistory]删除GrainRightHistory开始参数:{}",deleteGrainRightHistory);
        String result = myIGrainRightHistoryService.deleteGrainRightHistory(deleteGrainRightHistory);
        log.info("[GrainRightHistoryController.deleteGrainRightHistory]删除GrainRightHistory结束结果:{}",result);
        return result;
    }
}

