package com.zhaoliangsz.grainsearch.controller;


import org.springframework.web.bind.annotation.RequestMapping;
import lombok.extern.slf4j.Slf4j;
import javax.annotation.Resource;
import com.zhaoliangsz.grainsearch.service.IGrainRightSubscriptionService;
import org.springframework.web.bind.annotation.*;
import com.zhaoliangsz.grainsearch.basic.exception.ServiceException;
import com.zhaoliangsz.grainsearch.basic.result.PageResult;
import com.zhaoliangsz.grainsearch.domain.entity.GrainRightSubscription;
import org.springframework.web.bind.annotation.RestController;

/**
 * <p>
 * 粮权公告订阅 前端控制器
 * </p>
 *
 * @author chengchangjiang
 * @since 2023-08-22 11:09:57
 */
@RestController
@Slf4j
@RequestMapping("/v1/grainRightSubscription")
public class GrainRightSubscriptionController {
    @Resource
    private IGrainRightSubscriptionService myIGrainRightSubscriptionService;
    /**
     * 获取GrainRightSubscription
     * @return
     */
    @GetMapping
    public PageResult<GrainRightSubscription> queryGrainRightSubscriptionList(GrainRightSubscription queryGrainRightSubscription) throws ServiceException {
        log.info("[GrainRightSubscriptionController.queryGrainRightSubscriptionList]获取GrainRightSubscription列表开始参数:{}",queryGrainRightSubscription);
        PageResult<GrainRightSubscription> page = myIGrainRightSubscriptionService.queryGrainRightSubscriptionList(queryGrainRightSubscription);
        log.info("[GrainRightSubscriptionController.queryGrainRightSubscriptionList]获取GrainRightSubscription列表结束结果:{}",page);
        return page;
    }
    /**
     * 新增GrainRightSubscription
     * @return
     */
    @PostMapping
    public String addGrainRightSubscription(@RequestBody GrainRightSubscription addGrainRightSubscription) throws ServiceException {
        log.info("[GrainRightSubscriptionController.addGrainRightSubscription]新增GrainRightSubscription开始addGrainRightSubscription:{}",addGrainRightSubscription);
        String result = myIGrainRightSubscriptionService.addGrainRightSubscription(addGrainRightSubscription);
        log.info("[GrainRightSubscriptionController.addGrainRightSubscription]新增GrainRightSubscription结束结果:{}",result);
        return result;
    }
    /**
     * 编辑GrainRightSubscription
     * @return
     */
    @PutMapping
    public String editGrainRightSubscription(@RequestBody GrainRightSubscription editGrainRightSubscription) throws ServiceException {
        log.info("[GrainRightSubscriptionController.editGrainRightSubscription]编辑GrainRightSubscription开始参数:{}",editGrainRightSubscription);
        String result = myIGrainRightSubscriptionService.editGrainRightSubscription(editGrainRightSubscription);
        log.info("[GrainRightSubscriptionController.editGrainRightSubscription]编辑GrainRightSubscription结束结果:{}",result);
        return result;
    }
    /**
     * 删除GrainRightSubscription
     * @return
     */
    @DeleteMapping
    public String deleteGrainRightSubscription(@RequestBody GrainRightSubscription deleteGrainRightSubscription) throws ServiceException {
        log.info("[GrainRightSubscriptionController.deleteGrainRightSubscription]删除GrainRightSubscription开始参数:{}",deleteGrainRightSubscription);
        String result = myIGrainRightSubscriptionService.deleteGrainRightSubscription(deleteGrainRightSubscription);
        log.info("[GrainRightSubscriptionController.deleteGrainRightSubscription]删除GrainRightSubscription结束结果:{}",result);
        return result;
    }
}

