package com.zhaoliangsz.grainsearch.controller;


import org.springframework.web.bind.annotation.RequestMapping;
import lombok.extern.slf4j.Slf4j;
import javax.annotation.Resource;
import com.zhaoliangsz.grainsearch.service.ISysEnterpriseService;
import org.springframework.web.bind.annotation.*;
import com.zhaoliangsz.grainsearch.basic.exception.ServiceException;
import com.zhaoliangsz.grainsearch.basic.result.PageResult;
import com.zhaoliangsz.grainsearch.domain.entity.SysEnterprise;
import org.springframework.web.bind.annotation.RestController;

/**
 * <p>
 * 企业 前端控制器
 * </p>
 *
 * @author chengchangjiang
 * @since 2023-08-22 11:09:57
 */
@RestController
@Slf4j
@RequestMapping("/v1/sysEnterprise")
public class SysEnterpriseController {
    @Resource
    private ISysEnterpriseService myISysEnterpriseService;
    /**
     * 获取SysEnterprise
     * @return
     */
    @GetMapping
    public PageResult<SysEnterprise> querySysEnterpriseList(SysEnterprise querySysEnterprise) throws ServiceException {
        log.info("[SysEnterpriseController.querySysEnterpriseList]获取SysEnterprise列表开始参数:{}",querySysEnterprise);
        PageResult<SysEnterprise> page = myISysEnterpriseService.querySysEnterpriseList(querySysEnterprise);
        log.info("[SysEnterpriseController.querySysEnterpriseList]获取SysEnterprise列表结束结果:{}",page);
        return page;
    }
    /**
     * 新增SysEnterprise
     * @return
     */
    @PostMapping
    public String addSysEnterprise(@RequestBody SysEnterprise addSysEnterprise) throws ServiceException {
        log.info("[SysEnterpriseController.addSysEnterprise]新增SysEnterprise开始addSysEnterprise:{}",addSysEnterprise);
        String result = myISysEnterpriseService.addSysEnterprise(addSysEnterprise);
        log.info("[SysEnterpriseController.addSysEnterprise]新增SysEnterprise结束结果:{}",result);
        return result;
    }
    /**
     * 编辑SysEnterprise
     * @return
     */
    @PutMapping
    public String editSysEnterprise(@RequestBody SysEnterprise editSysEnterprise) throws ServiceException {
        log.info("[SysEnterpriseController.editSysEnterprise]编辑SysEnterprise开始参数:{}",editSysEnterprise);
        String result = myISysEnterpriseService.editSysEnterprise(editSysEnterprise);
        log.info("[SysEnterpriseController.editSysEnterprise]编辑SysEnterprise结束结果:{}",result);
        return result;
    }
    /**
     * 删除SysEnterprise
     * @return
     */
    @DeleteMapping
    public String deleteSysEnterprise(@RequestBody SysEnterprise deleteSysEnterprise) throws ServiceException {
        log.info("[SysEnterpriseController.deleteSysEnterprise]删除SysEnterprise开始参数:{}",deleteSysEnterprise);
        String result = myISysEnterpriseService.deleteSysEnterprise(deleteSysEnterprise);
        log.info("[SysEnterpriseController.deleteSysEnterprise]删除SysEnterprise结束结果:{}",result);
        return result;
    }
}

