package com.zhaoliangsz.grainsearch.controller;


import org.springframework.web.bind.annotation.RequestMapping;
import lombok.extern.slf4j.Slf4j;
import javax.annotation.Resource;
import com.zhaoliangsz.grainsearch.service.ISysUserService;
import org.springframework.web.bind.annotation.*;
import com.zhaoliangsz.grainsearch.basic.exception.ServiceException;
import com.zhaoliangsz.grainsearch.basic.result.PageResult;
import com.zhaoliangsz.grainsearch.domain.entity.SysUser;
import org.springframework.web.bind.annotation.RestController;

/**
 * <p>
 * 用户 前端控制器
 * </p>
 *
 * @author chengchangjiang
 * @since 2023-08-22 11:06:19
 */
@RestController
@Slf4j
@RequestMapping("/v1/sysUser")
public class SysUserController {
    @Resource
    private ISysUserService myISysUserService;
    /**
     * 获取SysUser
     * @return
     */
    @GetMapping
    public PageResult<SysUser> querySysUserList(SysUser querySysUser) throws ServiceException {
        log.info("[SysUserController.querySysUserList]获取SysUser列表开始参数:{}",querySysUser);
        PageResult<SysUser> page = myISysUserService.querySysUserList(querySysUser);
        log.info("[SysUserController.querySysUserList]获取SysUser列表结束结果:{}",page);
        return page;
    }
    /**
     * 新增SysUser
     * @return
     */
    @PostMapping
    public String addSysUser(@RequestBody SysUser addSysUser) throws ServiceException {
        log.info("[SysUserController.addSysUser]新增SysUser开始addSysUser:{}",addSysUser);
        String result = myISysUserService.addSysUser(addSysUser);
        log.info("[SysUserController.addSysUser]新增SysUser结束结果:{}",result);
        return result;
    }
    /**
     * 编辑SysUser
     * @return
     */
    @PutMapping
    public String editSysUser(@RequestBody SysUser editSysUser) throws ServiceException {
        log.info("[SysUserController.editSysUser]编辑SysUser开始参数:{}",editSysUser);
        String result = myISysUserService.editSysUser(editSysUser);
        log.info("[SysUserController.editSysUser]编辑SysUser结束结果:{}",result);
        return result;
    }
    /**
     * 删除SysUser
     * @return
     */
    @DeleteMapping
    public String deleteSysUser(@RequestBody SysUser deleteSysUser) throws ServiceException {
        log.info("[SysUserController.deleteSysUser]删除SysUser开始参数:{}",deleteSysUser);
        String result = myISysUserService.deleteSysUser(deleteSysUser);
        log.info("[SysUserController.deleteSysUser]删除SysUser结束结果:{}",result);
        return result;
    }
}

