package com.zhaoliangsz.grainsearch.domain.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.TableName;
import com.zhaoliangsz.grainsearch.domain.entity.BaseDO;
import java.io.Serializable;
import java.time.LocalDateTime;


import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 文件信息
 * </p>
 *
 * @author chengchangjiang
 * @since 2023-08-22 11:09:57
 */
@Data
@EqualsAndHashCode(callSuper = true)
@Accessors(chain = true)
@TableName("fil_file")
public class FilFile extends BaseDO<FilFile> {

    private static final long serialVersionUID = 1L;

    /**
     * 主键id
     */
    @TableField("ff_id")
    private Long ffId;
    /**
     * 业务id
     */
    @TableField("ff_biz_id")
    private Long ffBizId;
    /**
     * 业务类型
     */
    @TableField("ff_biz_type")
    private Integer ffBizType;
    /**
     * 文件名称
     */
    @TableField("ff_file_name")
    private String ffFileName;
    /**
     * 文件相对路径
     */
    @TableField("ff_relative_path")
    private String ffRelativePath;
    /**
     * 创建人id
     */
    @TableField("creator_id")
    private Long creatorId;
    /**
     * 创建人
     */
    @TableField("create_by")
    private String createBy;
    /**
     * 创建时间
     */
    @TableField("create_time")
    private LocalDateTime createTime;
    /**
     * 更新人
     */
    @TableField("update_by")
    private String updateBy;
    /**
     * 更新时间
     */
    @TableField("update_time")
    private LocalDateTime updateTime;
    /**
     * 是否删除0-否1-是
     */
    @TableField("has_deleted")
    @TableLogic
    private Integer hasDeleted;


}
