package com.zhaoliangsz.grainsearch.domain.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.TableName;
import com.zhaoliangsz.grainsearch.domain.entity.BaseDO;
import java.io.Serializable;
import java.math.BigDecimal;
import java.time.LocalDateTime;


import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 粮权
 * </p>
 *
 * @author chengchangjiang
 * @since 2023-08-22 11:09:57
 */
@Data
@EqualsAndHashCode(callSuper = true)
@Accessors(chain = true)
@TableName("grain_right")
public class GrainRight extends BaseDO<GrainRight> {

    private static final long serialVersionUID = 1L;

    /**
     * 主键id
     */
    @TableId("gr_id")
    private Long grId;
    /**
     * 粮权编号
     */
    @TableField("gr_no")
    private String grNo;
    /**
     * 仓库名称
     */
    @TableField("gr_pod_name")
    private String grPodName;
    /**
     * 库区名称
     */
    @TableField("gr_store_name")
    private String grStoreName;
    /**
     * 质权方
     */
    @TableField("gr_pledgee")
    private String grPledgee;
    /**
     * 存货方
     */
    @TableField("gr_bailor")
    private String grBailor;
    /**
     * 保管方
     */
    @TableField("gr_custodian")
    private String grCustodian;
    /**
     * 库方
     */
    @TableField("gr_store_owner")
    private String grStoreOwner;
    /**
     * 货物品种
     */
    @TableField("gr_goods_variety")
    private String grGoodsVariety;
    /**
     * 货物重量(吨)
     */
    @TableField("gr_goods_weight")
    private BigDecimal grGoodsWeight;
    /**
     * 审核状态0-未提交1-审核中2-审核成功3-审核失败
     */
    @TableField("gr_state")
    private Integer grState;
    /**
     * 货物等级
     */
    @TableField("gr_goods_level")
    private String grGoodsLevel;
    /**
     * 是否注销1-已注销0-未注销
     */
    @TableField("gr_has_log_off")
    private Integer grHasLogOff;
    /**
     * 地址
     */
    @TableField("gr_address")
    private String grAddress;
    /**
     * 登记人
     */
    @TableField("gr_registrant")
    private String grRegistrant;
    /**
     * 审核人id
     */
    @TableField("gr_review_id")
    private Long grReviewId;
    /**
     * 备注
     */
    @TableField("gr_remark")
    private String grRemark;
    /**
     * 创建人id
     */
    @TableField("creator_id")
    private Long creatorId;
    /**
     * 创建人
     */
    @TableField("create_by")
    private String createBy;
    /**
     * 创建时间
     */
    @TableField("create_time")
    private LocalDateTime createTime;
    /**
     * 更新人
     */
    @TableField("update_by")
    private String updateBy;
    /**
     * 更新时间
     */
    @TableField("update_time")
    private LocalDateTime updateTime;
    /**
     * 是否删除0-否1-是
     */
    @TableField("has_deleted")
    @TableLogic
    private Integer hasDeleted;


}
