package com.zhaoliangsz.grainsearch.domain.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.TableName;
import com.zhaoliangsz.grainsearch.domain.entity.BaseDO;
import java.io.Serializable;
import java.time.LocalDateTime;


import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 粮权牌
 * </p>
 *
 * @author chengchangjiang
 * @since 2023-08-22 11:09:57
 */
@Data
@EqualsAndHashCode(callSuper = true)
@Accessors(chain = true)
@TableName("grain_right_board")
public class GrainRightBoard extends BaseDO<GrainRightBoard> {

    private static final long serialVersionUID = 1L;

    /**
     * 主键id
     */
    @TableId("grb_id")
    private Long grbId;
    /**
     * 粮权牌编号
     */
    @TableField("grb_no")
    private String grbNo;
    /**
     * 归属企业id
     */
    @TableField("grb_se_id")
    private Long grbSeId;
    /**
     * 粮权id
     */
    @TableField("grb_gr_id")
    private Long grbGrId;
    /**
     * 创建人id
     */
    @TableField("creator_id")
    private Long creatorId;
    /**
     * 创建人
     */
    @TableField("create_by")
    private String createBy;
    /**
     * 创建时间
     */
    @TableField("create_time")
    private LocalDateTime createTime;
    /**
     * 更新人
     */
    @TableField("update_by")
    private String updateBy;
    /**
     * 更新时间
     */
    @TableField("update_time")
    private LocalDateTime updateTime;
    /**
     * 是否删除0-否1-是
     */
    @TableField("has_deleted")
    @TableLogic
    private Integer hasDeleted;


}
