package com.zhaoliangsz.grainsearch.domain.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.TableName;
import com.zhaoliangsz.grainsearch.domain.entity.BaseDO;
import java.io.Serializable;
import java.math.BigDecimal;
import java.time.LocalDateTime;


import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 粮权历史
 * </p>
 *
 * @author chengchangjiang
 * @since 2023-08-22 11:09:57
 */
@Data
@EqualsAndHashCode(callSuper = true)
@Accessors(chain = true)
@TableName("grain_right_history")
public class GrainRightHistory extends BaseDO<GrainRightHistory> {

    private static final long serialVersionUID = 1L;

    /**
     * 主键id
     */
    @TableId("grh_id")
    private Long grhId;
    /**
     * 粮权主键id
     */
    @TableField("gr_id")
    private Long grId;
    /**
     * 粮权编号
     */
    @TableField("grh_no")
    private String grhNo;
    /**
     * 仓库名称
     */
    @TableField("grh_pod_name")
    private String grhPodName;
    /**
     * 库区名称
     */
    @TableField("grh_store_name")
    private String grhStoreName;
    /**
     * 质权方
     */
    @TableField("grh_pledgee")
    private String grhPledgee;
    /**
     * 存货方
     */
    @TableField("grh_bailor")
    private String grhBailor;
    /**
     * 保管方
     */
    @TableField("grh_custodian")
    private String grhCustodian;
    /**
     * 库方
     */
    @TableField("grh_store_owner")
    private String grhStoreOwner;
    /**
     * 货物品种
     */
    @TableField("grh_goods_variety")
    private String grhGoodsVariety;
    /**
     * 货物重量(吨)
     */
    @TableField("grh_goods_weight")
    private BigDecimal grhGoodsWeight;
    /**
     * 审核状态0-未提交1-审核中2-审核成功3-审核失败
     */
    @TableField("grh_state")
    private Integer grhState;
    /**
     * 货物等级
     */
    @TableField("grh_goods_level")
    private String grhGoodsLevel;
    /**
     * 是否注销1-已注销0-未注销
     */
    @TableField("grh_has_log_off")
    private Integer grhHasLogOff;
    /**
     * 地址
     */
    @TableField("grh_address")
    private String grhAddress;
    /**
     * 登记人
     */
    @TableField("grh_registrant")
    private String grhRegistrant;
    /**
     * 审核人id
     */
    @TableField("grh_review_id")
    private Long grhReviewId;
    /**
     * 备注
     */
    @TableField("grh_remark")
    private String grhRemark;
    /**
     * 粮权牌数据
     */
    @TableField("grh_board_data")
    private String grhBoardData;
    /**
     * 创建人id
     */
    @TableField("creator_id")
    private Long creatorId;
    /**
     * 创建人
     */
    @TableField("create_by")
    private String createBy;
    /**
     * 创建时间
     */
    @TableField("create_time")
    private LocalDateTime createTime;
    /**
     * 更新人
     */
    @TableField("update_by")
    private String updateBy;
    /**
     * 更新时间
     */
    @TableField("update_time")
    private LocalDateTime updateTime;
    /**
     * 是否删除0-否1-是
     */
    @TableField("has_deleted")
    @TableLogic
    private Integer hasDeleted;


}
