package com.zhaoliangsz.grainsearch.domain.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.TableName;
import com.zhaoliangsz.grainsearch.domain.entity.BaseDO;
import java.io.Serializable;
import java.time.LocalDateTime;


import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 粮权公告订阅
 * </p>
 *
 * @author chengchangjiang
 * @since 2023-08-22 11:09:57
 */
@Data
@EqualsAndHashCode(callSuper = true)
@Accessors(chain = true)
@TableName("grain_right_subscription")
public class GrainRightSubscription extends BaseDO<GrainRightSubscription> {

    private static final long serialVersionUID = 1L;

    /**
     * 主键id
     */
    @TableId("grs_id")
    private Long grsId;
    /**
     * 粮权id
     */
    @TableField("grs_gr_id")
    private Long grsGrId;
    /**
     * 订阅人
     */
    @TableField("subscribe_id")
    private Long subscribeId;
    /**
     * 创建人id
     */
    @TableField("creator_id")
    private Long creatorId;
    /**
     * 创建人
     */
    @TableField("create_by")
    private String createBy;
    /**
     * 创建时间
     */
    @TableField("create_time")
    private LocalDateTime createTime;
    /**
     * 更新人
     */
    @TableField("update_by")
    private String updateBy;
    /**
     * 更新时间
     */
    @TableField("update_time")
    private LocalDateTime updateTime;
    /**
     * 是否删除0-否1-是
     */
    @TableField("has_deleted")
    @TableLogic
    private Integer hasDeleted;


}
