package com.zhaoliangsz.grainsearch.domain.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.TableName;
import com.zhaoliangsz.grainsearch.domain.entity.BaseDO;
import java.io.Serializable;
import java.time.LocalDateTime;


import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 企业
 * </p>
 *
 * @author chengchangjiang
 * @since 2023-08-22 11:09:57
 */
@Data
@EqualsAndHashCode(callSuper = true)
@Accessors(chain = true)
@TableName("sys_enterprise")
public class SysEnterprise extends BaseDO<SysEnterprise> {

    private static final long serialVersionUID = 1L;

    /**
     * 主键id
     */
    @TableId("se_id")
    private Long seId;
    /**
     * 企业编号
     */
    @TableField("se_no")
    private String seNo;
    /**
     * 企业名称
     */
    @TableField("se_name")
    private String seName;
    /**
     * 法人名称
     */
    @TableField("se_legal_person_name")
    private String seLegalPersonName;
    /**
     * 联系方式
     */
    @TableField("se_phone_no")
    private String sePhoneNo;
    /**
     * 禁用状态1-正常0-禁用
     */
    @TableField("se_enabled")
    private Integer seEnabled;
    /**
     * 创建人id
     */
    @TableField("creator_id")
    private Long creatorId;
    /**
     * 创建人
     */
    @TableField("create_by")
    private String createBy;
    /**
     * 创建时间
     */
    @TableField("create_time")
    private LocalDateTime createTime;
    /**
     * 更新人
     */
    @TableField("update_by")
    private String updateBy;
    /**
     * 更新时间
     */
    @TableField("update_time")
    private LocalDateTime updateTime;
    /**
     * 是否删除0-否1-是
     */
    @TableField("has_deleted")
    @TableLogic
    private Integer hasDeleted;


}
