package com.zhaoliangsz.grainsearch.domain.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.TableName;
import com.zhaoliangsz.grainsearch.domain.entity.BaseDO;
import java.io.Serializable;
import java.time.LocalDateTime;


import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 用户
 * </p>
 *
 * @author chengchangjiang
 * @since 2023-08-22 11:06:19
 */
@Data
@EqualsAndHashCode(callSuper = true)
@Accessors(chain = true)
@TableName("sys_user")
public class SysUser extends BaseDO<SysUser> {

    private static final long serialVersionUID = 1L;

    /**
     * 主键id
     */
    @TableId("su_id")
    private Long suId;
    /**
     * 用户名
     */
    @TableField("su_username")
    private String suUsername;
    /**
     * 密码
     */
    @TableField("su_password")
    private String suPassword;
    /**
     * 密码盐
     */
    @TableField("su_password_salt")
    private String suPasswordSalt;
    /**
     * 真实姓名
     */
    @TableField("su_real_name")
    private String suRealName;
    /**
     * 性别1-男2-女
     */
    @TableField("su_gender")
    private Integer suGender;
    /**
     * 手机号
     */
    @TableField("su_phone_no")
    private String suPhoneNo;
    /**
     * 企业id
     */
    @TableField("su_se_id")
    private Long suSeId;
    /**
     * 用户类型1-超级管理员2-系统用户3-普通用户
     */
    @TableField("su_user_type")
    private Integer suUserType;
    /**
     * 用户禁用状态1-正常0-禁用
     */
    @TableField("su_enabled")
    private Integer suEnabled;
    /**
     * 创建人id
     */
    @TableField("creator_id")
    private Long creatorId;
    /**
     * 创建人
     */
    @TableField("create_by")
    private String createBy;
    /**
     * 创建时间
     */
    @TableField("create_time")
    private LocalDateTime createTime;
    /**
     * 更新人
     */
    @TableField("update_by")
    private String updateBy;
    /**
     * 更新时间
     */
    @TableField("update_time")
    private LocalDateTime updateTime;
    /**
     * 是否删除0-否1-是
     */
    @TableField("has_deleted")
    @TableLogic
    private Integer hasDeleted;


}
