package com.zhaoliangsz.grainsearch.service.impl;

import com.zhaoliangsz.grainsearch.domain.entity.GrainRightHistory;
import com.zhaoliangsz.grainsearch.mapper.GrainRightHistoryMapper;
import com.zhaoliangsz.grainsearch.service.IGrainRightHistoryService;
import com.baomidou.mybatisplus.extension.service.IService;
import org.springframework.stereotype.Service;
import com.zhaoliangsz.grainsearch.basic.exception.ServiceException;
import com.zhaoliangsz.grainsearch.basic.result.PageResult;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import lombok.extern.slf4j.Slf4j;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;
import org.springframework.transaction.annotation.Transactional;
import com.zhaoliangsz.grainsearch.basic.exception.ExceptionDefinition;
/**
 * <p>
 * 粮权历史 服务实现类
 * </p>
 *
 * @author chengchangjiang
 * @since 2023-08-22 11:09:57
 */
@Slf4j
@Service
public class GrainRightHistoryServiceImpl extends ServiceImpl<GrainRightHistoryMapper, GrainRightHistory> implements IGrainRightHistoryService {
    @Override
    public PageResult<GrainRightHistory> queryGrainRightHistoryList(GrainRightHistory queryGrainRightHistory) throws ServiceException{
        try{
            Map<String,Object> pageView = new HashMap<>();
            pageView.put("startRecord",(queryGrainRightHistory.getCurrentPage()-1)
            *queryGrainRightHistory.getPageSize());
            pageView.put("pageSize",queryGrainRightHistory.getPageSize());
            pageView.put("currentPage",queryGrainRightHistory.getCurrentPage());
            Integer dataCount=baseMapper.getCountByCondition(pageView);
            List<GrainRightHistory>dataList=baseMapper.getListByCondition(pageView);
            return new PageResult<>(dataList==null?new ArrayList<>():dataList,dataCount==null?0:dataCount);
        }
        catch(Exception ex){
            log.error("[GrainRightHistoryServiceImpl.queryGrainRightHistoryList]异常:{}",ex.toString());
            throw new ServiceException(ExceptionDefinition.QUERY_DATA_EXCEPTION);
        }
    }

    @Override
    @Transactional(rollbackFor = Exception.class)
    public String addGrainRightHistory(GrainRightHistory addGrainRightHistory) throws ServiceException {
        boolean flag = this.save(addGrainRightHistory);
        if(flag){
            return "ok";
        }
        else{
            throw new ServiceException(ExceptionDefinition.ADD_DATA_EXCEPTION);
        }
    }

    @Override
    @Transactional(rollbackFor = Exception.class)
    public String editGrainRightHistory(GrainRightHistory editGrainRightHistory) throws ServiceException {
        boolean flag = this.updateById(editGrainRightHistory);
        if(flag){
            return "ok";
        }
        else{
            throw new ServiceException(ExceptionDefinition.EDIT_DATA_EXCEPTION);
        }
    }

    @Override
    @Transactional(rollbackFor = Exception.class)
    public String deleteGrainRightHistory(GrainRightHistory deleteGrainRightHistory) throws ServiceException {
        boolean flag = this.removeById(deleteGrainRightHistory);
        if(flag){
            return "ok";
        }
        else{
            throw new ServiceException(ExceptionDefinition.DELETE_DATA_EXCEPTION);
        }
    }
}
