package com.zhaoliangsz.grainsearch.service.impl;

import com.zhaoliangsz.grainsearch.domain.entity.GrainRightSubscription;
import com.zhaoliangsz.grainsearch.mapper.GrainRightSubscriptionMapper;
import com.zhaoliangsz.grainsearch.service.IGrainRightSubscriptionService;
import com.baomidou.mybatisplus.extension.service.IService;
import org.springframework.stereotype.Service;
import com.zhaoliangsz.grainsearch.basic.exception.ServiceException;
import com.zhaoliangsz.grainsearch.basic.result.PageResult;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import lombok.extern.slf4j.Slf4j;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;
import org.springframework.transaction.annotation.Transactional;
import com.zhaoliangsz.grainsearch.basic.exception.ExceptionDefinition;
/**
 * <p>
 * 粮权公告订阅 服务实现类
 * </p>
 *
 * @author chengchangjiang
 * @since 2023-08-22 11:09:57
 */
@Slf4j
@Service
public class GrainRightSubscriptionServiceImpl extends ServiceImpl<GrainRightSubscriptionMapper, GrainRightSubscription> implements IGrainRightSubscriptionService {
    @Override
    public PageResult<GrainRightSubscription> queryGrainRightSubscriptionList(GrainRightSubscription queryGrainRightSubscription) throws ServiceException{
        try{
            Map<String,Object> pageView = new HashMap<>();
            pageView.put("startRecord",(queryGrainRightSubscription.getCurrentPage()-1)
            *queryGrainRightSubscription.getPageSize());
            pageView.put("pageSize",queryGrainRightSubscription.getPageSize());
            pageView.put("currentPage",queryGrainRightSubscription.getCurrentPage());
            Integer dataCount=baseMapper.getCountByCondition(pageView);
            List<GrainRightSubscription>dataList=baseMapper.getListByCondition(pageView);
            return new PageResult<>(dataList==null?new ArrayList<>():dataList,dataCount==null?0:dataCount);
        }
        catch(Exception ex){
            log.error("[GrainRightSubscriptionServiceImpl.queryGrainRightSubscriptionList]异常:{}",ex.toString());
            throw new ServiceException(ExceptionDefinition.QUERY_DATA_EXCEPTION);
        }
    }

    @Override
    @Transactional(rollbackFor = Exception.class)
    public String addGrainRightSubscription(GrainRightSubscription addGrainRightSubscription) throws ServiceException {
        boolean flag = this.save(addGrainRightSubscription);
        if(flag){
            return "ok";
        }
        else{
            throw new ServiceException(ExceptionDefinition.ADD_DATA_EXCEPTION);
        }
    }

    @Override
    @Transactional(rollbackFor = Exception.class)
    public String editGrainRightSubscription(GrainRightSubscription editGrainRightSubscription) throws ServiceException {
        boolean flag = this.updateById(editGrainRightSubscription);
        if(flag){
            return "ok";
        }
        else{
            throw new ServiceException(ExceptionDefinition.EDIT_DATA_EXCEPTION);
        }
    }

    @Override
    @Transactional(rollbackFor = Exception.class)
    public String deleteGrainRightSubscription(GrainRightSubscription deleteGrainRightSubscription) throws ServiceException {
        boolean flag = this.removeById(deleteGrainRightSubscription);
        if(flag){
            return "ok";
        }
        else{
            throw new ServiceException(ExceptionDefinition.DELETE_DATA_EXCEPTION);
        }
    }
}
