package com.zhaoliangsz.grainsearch.service.impl;

import com.zhaoliangsz.grainsearch.domain.entity.SysEnterprise;
import com.zhaoliangsz.grainsearch.mapper.SysEnterpriseMapper;
import com.zhaoliangsz.grainsearch.service.ISysEnterpriseService;
import com.baomidou.mybatisplus.extension.service.IService;
import org.springframework.stereotype.Service;
import com.zhaoliangsz.grainsearch.basic.exception.ServiceException;
import com.zhaoliangsz.grainsearch.basic.result.PageResult;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import lombok.extern.slf4j.Slf4j;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;
import org.springframework.transaction.annotation.Transactional;
import com.zhaoliangsz.grainsearch.basic.exception.ExceptionDefinition;
/**
 * <p>
 * 企业 服务实现类
 * </p>
 *
 * @author chengchangjiang
 * @since 2023-08-22 11:09:57
 */
@Slf4j
@Service
public class SysEnterpriseServiceImpl extends ServiceImpl<SysEnterpriseMapper, SysEnterprise> implements ISysEnterpriseService {
    @Override
    public PageResult<SysEnterprise> querySysEnterpriseList(SysEnterprise querySysEnterprise) throws ServiceException{
        try{
            Map<String,Object> pageView = new HashMap<>();
            pageView.put("startRecord",(querySysEnterprise.getCurrentPage()-1)
            *querySysEnterprise.getPageSize());
            pageView.put("pageSize",querySysEnterprise.getPageSize());
            pageView.put("currentPage",querySysEnterprise.getCurrentPage());
            Integer dataCount=baseMapper.getCountByCondition(pageView);
            List<SysEnterprise>dataList=baseMapper.getListByCondition(pageView);
            return new PageResult<>(dataList==null?new ArrayList<>():dataList,dataCount==null?0:dataCount);
        }
        catch(Exception ex){
            log.error("[SysEnterpriseServiceImpl.querySysEnterpriseList]异常:{}",ex.toString());
            throw new ServiceException(ExceptionDefinition.QUERY_DATA_EXCEPTION);
        }
    }

    @Override
    @Transactional(rollbackFor = Exception.class)
    public String addSysEnterprise(SysEnterprise addSysEnterprise) throws ServiceException {
        boolean flag = this.save(addSysEnterprise);
        if(flag){
            return "ok";
        }
        else{
            throw new ServiceException(ExceptionDefinition.ADD_DATA_EXCEPTION);
        }
    }

    @Override
    @Transactional(rollbackFor = Exception.class)
    public String editSysEnterprise(SysEnterprise editSysEnterprise) throws ServiceException {
        boolean flag = this.updateById(editSysEnterprise);
        if(flag){
            return "ok";
        }
        else{
            throw new ServiceException(ExceptionDefinition.EDIT_DATA_EXCEPTION);
        }
    }

    @Override
    @Transactional(rollbackFor = Exception.class)
    public String deleteSysEnterprise(SysEnterprise deleteSysEnterprise) throws ServiceException {
        boolean flag = this.removeById(deleteSysEnterprise);
        if(flag){
            return "ok";
        }
        else{
            throw new ServiceException(ExceptionDefinition.DELETE_DATA_EXCEPTION);
        }
    }
}
